LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
KeyEvent Struct Referencepublished

specifies a key event. More...

`import"KeyEvent.idl";`

Inheritance diagram for KeyEvent:

## Public Attributes
short | KeyCode
| contains the integer code representing the key of the event. More...
char | KeyChar
| contains the Unicode character generated by this event or 0. More...
short | KeyFunc
| contains the function type of the key event. More...
Public Attributes inherited from InputEvent
short | Modifiers
| contains the modifier keys which were pressed while the event occurred. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

specifies a key event.

See Also
  InputEvent

## Member Data Documentation

char KeyChar

contains the Unicode character generated by this event or 0.

short KeyCode

contains the integer code representing the key of the event.

This is a constant from the constant group Key.

short KeyFunc

contains the function type of the key event.

This is a constant from the constant group KeyFunction.

The documentation for this struct was generated from the following file:

- com/sun/star/awt/KeyEvent.idl